package com.jeeplus.modules.warehouse.code.util;


import com.jeeplus.common.utils.DateUtil;

import java.util.Date;

public class CodeUtil {
    /**
     * 流程编码生成
     */
    public static String code(String prefix,String model){
        //中间日期部分
        String dateString = DateUtil.parseDateToStr(new Date(), DateUtil.DATE_FORMAT_YYYY_MM);
        //编号
        String numSeq = NumSeqUtils.getNumSeq(model);
        return prefix+"-"+dateString+"-"+numSeq;
    }

    /**
     * 流程编码生成
     */
    public static String codeNum(String prefix,int num,String model){
        //中间日期部分
        String dateString = DateUtil.parseDateToStr(new Date(), DateUtil.DATE_FORMAT_YYYY_MM);
        //编号
        String numSeq = NumSeqUtils.getNumSeqConunt(model,num);
        return prefix+"-"+dateString+"-"+numSeq;
    }

    public static void main(String[] args) {
       String code = code("ZZGZ",StaticNumSeq.GZSQ);

       //ZZGZ-001
        //AAGZ-002

        System.out.println(code);
    }
}
